%define module_name MooX-ShortHas
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Moo.pm) perl(Moo/_Utils.pm) perl(Test/Fatal.pm) perl(Test/InDistDir.pm) perl(Test/More.pm) perl(strict.pm) perl(strictures.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.190320
Release: alt1
Summary: shortcuts for common Moo has attribute configurations
Group: Development/Perl
License: unrestricted
URL: https://github.com/wchristian/MooX-ShortHas

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MITHALDU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the Moo manpage's `has' asks developers to repeat themselves a lot to set up attributes,
and since its inceptions the most common configurations of attributes have
crystallized through long usage.

This module provides sugar shortcuts that wrap around has under the appropriate
names to reduce the effort of setting up an attribute to naming it with a
shortcut.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.PATCHING README Changes LICENSE
%perl_vendor_privlib/M*

%changelog
* Wed Feb 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.190320-alt1
- regenerated from template by package builder

* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 1.172300-alt1
- regenerated from template by package builder

* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 1.172251-alt1
- initial import by package builder

